# VectorNav C++ Library: vn::sensors::InsStateEcefRegister Struct Reference

vn::sensors::InsStateEcefRegister Struct Reference
Register Structures

Structure representing the INS State - ECEF register. More...

`#include <registers.h>`

## Public Member Functions

| InsStateEcefRegister (vn::math::vec3f yawPitchRollIn, vn::math::vec3d positionIn, vn::math::vec3f velocityIn, vn::math::vec3f accelIn, vn::math::vec3f angularRateIn)
| Creates an initializes a new InsStateEcefRegister structure. More...

## Public Attributes

vn::math::vec3f | yawPitchRoll
| The yawPitchRoll field.
vn::math::vec3d | position
| The position field.
vn::math::vec3f | velocity
| The velocity field.
vn::math::vec3f | accel
| The accel field.
vn::math::vec3f | angularRate
| The angularRate field.

## Detailed Description

Structure representing the INS State - ECEF register.

## Constructor & Destructor Documentation

vn::sensors::InsStateEcefRegister::InsStateEcefRegister | ( | vn::math::vec3f | yawPitchRollIn,
|  | vn::math::vec3d | positionIn,
|  | vn::math::vec3f | velocityIn,
|  | vn::math::vec3f | accelIn,
|  | vn::math::vec3f | angularRateIn
| ) |  |

inline

Creates an initializes a new InsStateEcefRegister structure.

Parameters

  [in] | yawPitchRollIn | Value to initialize the yawPitchRoll field with.
  [in] | positionIn | Value to initialize the position field with.
  [in] | velocityIn | Value to initialize the velocity field with.
  [in] | accelIn | Value to initialize the accel field with.
  [in] | angularRateIn | Value to initialize the angularRate field with.

The documentation for this struct was generated from the following file:

- include/vn/registers.h